org.richfaces.fragment.contextMenu

## Class RichFacesContextMenu

- java.lang.Object
- - org.richfaces.fragment.contextMenu.AbstractPopupMenu
  - - org.richfaces.fragment.contextMenu.RichFacesContextMenu

- All Implemented Interfaces:
    AdvancedInteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>, AdvancedVisibleComponentIteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>, PopupMenu

      public class RichFacesContextMenu
      extends AbstractPopupMenu
      implements PopupMenu, AdvancedInteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>

  Author:
    Juraj Huska

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesContextMenu.AdvancedContextMenuInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.contextMenu.AbstractPopupMenu

      `AbstractPopupMenu.AdvancedPopupMenuInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesContextMenu()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesContextMenu.AdvancedContextMenuInteractions` | `advanced()`

    - ### Methods inherited from class org.richfaces.fragment.contextMenu.AbstractPopupMenu

      `getNameOfFragment, getRootElement, selectItem, selectItem, selectItem, selectItem, selectItem, selectItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.contextMenu.PopupMenu

      `selectItem, selectItem, selectItem, selectItem, selectItem, selectItem`

- - ### Constructor Detail

    - #### RichFacesContextMenu

          public RichFacesContextMenu()

  - ### Method Detail

    - #### advanced

          public RichFacesContextMenu.AdvancedContextMenuInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>`
      Specified by:
        `advanced` in class `AbstractPopupMenu`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.